import { Module } from 'stapp';
import { PersistConfig } from './persist.h';
/**
 * Persistence module.
 * @typeparam State Application state shape
 * @param config Configuration object
 * @param config.key Key, used to store data in a storage.
 * @param config.storage Storage to use.
 * @returns Module
 */
export declare const persist: <State>({ key, storage, blackList, whiteList, transforms, throttle, serialize: _serialize, stateReconciler, timeout: _timeout }: PersistConfig<any>) => Module<{
    clearStorage: () => void;
}, {}, {}>;
