import { AsyncStorage } from './persist.h';
/**
 * Converts synchronous storage into asynchronous
 * @param storage any localStorage or sessionStorage compatible object
 * @returns {AsyncStorage}
 */
export declare const toAsync: (storage: {
    getItem: (key: string) => any;
    setItem: (key: string, data: string) => any;
    removeItem: (key: string) => void;
}) => AsyncStorage;
